Setup a Batch

View as MarkdownOpen in Claude
The setup process creates all of the **tasks** within the batch according to your configuration. Each datapoint in the dataset is paired with all instructions to create a task. Tasks are then organized into task groups. The dataset must be in a **READY** status before the setup process can be initiated. The dataset can be attached either at batch creation time or via the `dataset_id` parameter in this request. Upon successful invocation, the setup process will begin asynchronously, and the batch will be set to a **PROCESSING** status. To retrieve the status of the setup, call the `GET /api/v1/data-collection/batches/{batch_id}/status` endpoint. The setup is complete once the batch status changes to **READY**.

Authentication

AuthorizationToken

Header authentication of the form Token <token>

Path parameters

batch_idstringRequired
The unique identifier of the AI Task Builder batch

Request

This endpoint expects an object.
dataset_idstringOptionalformat: "uuid"
The ID of the dataset to use for task generation. Optional if a dataset was already attached at batch creation time.
tasks_per_groupintegerOptional>=1Defaults to 1

The number of tasks to randomly assign to each task group. Participants complete one task group per submission. If your dataset includes a META_TASK_GROUP_ID column, those groupings take precedence over this parameter.

Response

Accepted

Errors